import { V as Z, bk as Te, d as Be, f as Ve, bl as N, a4 as U, a as P, r as ee, Z as B, cZ as Ie, aw as Ne, c as k, o as m, w as i, j as r, W as Pe, l as t, D as g, B as ze, p as _, A as d, ee as Fe, ch as Ae, cf as Oe, df as Ee, hQ as te, h as C, F as W, a9 as ae, i as x, aI as qe, X as $e, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as ne } from "./BasicForm-dL_oCSPM.js";
import { u as se } from "./useForm-CKmgcynv.js";
import { B as ie } from "./Table-0PViRYCf.js";
import { _ as le } from "./TableAction.vue_vue_type_script_setup_true_lang-Bj_Y4LtN.js";
import { d as Me, c as je, f as Le, h as Ue, s as We, j as Xe, g as Ze, k as Qe, l as He, m as Je, n as Ke } from "./victualingDetail-CLhgLkA4.js";
import { f as V, I as y, __tla as __tla_1 } from "./helper-DMSByp-X.js";
import { _ as Ye, __tla as __tla_2 } from "./index.vue_vue_type_script_setup_true_lang-4CX4ibGd.js";
import { _ as et, __tla as __tla_3 } from "./index.vue_vue_type_script_setup_true_lang-JYQTxYwA.js";
import { _ as tt, __tla as __tla_4 } from "./index.vue_vue_type_script_setup_true_lang-BOkb5e1r.js";
import { _ as at } from "./Flex-CTSf12gq.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./usePageCache-DluHn7Yy.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./componentMap-CElCaWis.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./useTimeout-BxFilWvD.js";
import "./requisitionOrder-D0IG9N7e.js";
import "./TableSelect.vue_vue_type_script_setup_true_lang-BAU5mgvB.js";
import "./props-CLtNejQT.js";
import "./goodsReceiptNoteDetail-DWFnSNrx.js";
import "./equipmentMainLibrary-bJTzj5mC.js";
let oa;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_2;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_3;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_4;
        } catch  {}
    })()
]).then(async ()=>{
    const X = Te(), { t: o } = Z(), nt = ()=>[
            {
                title: o("common.management.Num"),
                key: "num",
                width: 60,
                render: (w, z)=>z + 1
            },
            {
                title: o("victualingDetail.crewGuestDetails.crew"),
                key: "crew",
                width: 140,
                render: (w)=>X.getLocale === "en" ? w.crewNameEn : w.crewName
            },
            {
                title: o("victualingDetail.crewGuestDetails.rank"),
                key: "rank",
                width: 120,
                render: (w)=>X.getLocale === "en" ? w.rankNameEn : w.rankName
            },
            {
                title: o("victualingDetail.crewGuestDetails.from"),
                key: "startDate",
                width: 140
            },
            {
                title: o("victualingDetail.crewGuestDetails.to"),
                key: "endDate",
                width: 140
            },
            {
                title: o("victualingDetail.crewGuestDetails.days"),
                key: "days",
                width: 100
            },
            {
                title: o("victualingDetail.crewGuestDetails.standardOneDay"),
                key: "standard",
                width: 180
            },
            {
                title: o("victualingDetail.crewGuestDetails.ttl"),
                key: "monthlyCost",
                width: 120
            },
            {
                title: o("victualingDetail.crewGuestDetails.remark"),
                key: "remark",
                width: 140
            },
            {
                title: o("victualingDetail.crewGuestDetails.createBy"),
                key: "createBy",
                width: 120
            },
            {
                title: o("victualingDetail.crewGuestDetails.createDate"),
                key: "createTime",
                width: 120
            }
        ], st = ()=>[
            {
                title: o("common.management.Num"),
                key: "num",
                width: 60,
                render: (w, z)=>z + 1
            },
            {
                title: o("victualingDetail.crewGuestDetails.date"),
                key: "detailDate",
                width: 140
            },
            {
                title: o("victualingDetail.crewGuestDetails.port"),
                key: "port",
                width: 100
            },
            {
                title: o("victualingDetail.crewGuestDetails.guest"),
                key: "guest",
                width: 100
            },
            {
                title: o("victualingDetail.crewGuestDetails.person"),
                key: "person",
                width: 100
            },
            {
                title: o("victualingDetail.crewGuestDetails.breakfast"),
                key: "breakfast",
                width: 100
            },
            {
                title: o("victualingDetail.crewGuestDetails.lunch"),
                key: "lunch",
                width: 100
            },
            {
                title: o("victualingDetail.crewGuestDetails.supper"),
                key: "dinner",
                width: 100
            },
            {
                title: o("victualingDetail.crewGuestDetails.subTtlUsd"),
                key: "total",
                width: 100
            },
            {
                title: o("victualingDetail.crewGuestDetails.remark"),
                key: "remark",
                width: 140
            },
            {
                title: o("victualingDetail.crewGuestDetails.toWhich"),
                key: "belong",
                width: 140,
                render: (w)=>X.getLocale === "en" ? w.belongNameEn : w.belongName
            },
            {
                title: o("victualingDetail.crewGuestDetails.createBy"),
                key: "createBy",
                width: 120
            },
            {
                title: o("victualingDetail.crewGuestDetails.createDate"),
                key: "createTime",
                width: 120
            }
        ], { t: G } = Z();
    function it() {
        return [
            {
                field: "id",
                hidden: !0
            },
            {
                field: "standard",
                label: G("victualingDetail.crewGuestDetails.crewVictualStandard"),
                slot: "standardSlot"
            },
            {
                field: "updateDetailData",
                hidden: !0
            }
        ];
    }
    function lt() {
        return [
            {
                field: "id",
                hidden: !0
            },
            {
                field: "breakfast",
                component: "NInputNumber",
                label: G("victualingDetail.crewGuestDetails.breakfast"),
                componentProps: {
                    min: 0,
                    step: 1,
                    precision: 2,
                    size: "small",
                    class: "w-[160px]",
                    showButton: !1,
                    placeholder: G("victualingDetail.crewGuestDetails.breakfast")
                }
            },
            {
                field: "lunch",
                component: "NInputNumber",
                label: G("victualingDetail.crewGuestDetails.lunch"),
                componentProps: {
                    min: 0,
                    step: 1,
                    precision: 2,
                    size: "small",
                    class: "w-[160px]",
                    showButton: !1,
                    placeholder: G("victualingDetail.crewGuestDetails.lunch")
                }
            },
            {
                field: "dinner",
                component: "NInputNumber",
                label: G("victualingDetail.crewGuestDetails.dinner"),
                componentProps: {
                    min: 0,
                    step: 1,
                    precision: 2,
                    size: "small",
                    class: "w-[160px]",
                    showButton: !1,
                    placeholder: G("victualingDetail.crewGuestDetails.dinner")
                }
            }
        ];
    }
    let rt, ot, ct, ut, dt, mt, ft, pt, wt, Dt;
    rt = {
        class: "text-[16px] font-semibold"
    };
    ot = {
        class: "text-[16px] text-gray-600"
    };
    ct = {
        key: 0,
        class: "text-[16px] text-gray-600"
    };
    ut = {
        class: "text-[16px] font-medium text-[#0EC06A]"
    };
    dt = {
        key: 1,
        class: "text-[16px] text-gray-600"
    };
    mt = {
        class: "text-[16px] font-semibold"
    };
    ft = {
        class: "text-[16px] text-gray-600"
    };
    pt = {
        key: 0,
        class: "text-[16px] text-gray-600"
    };
    wt = {
        class: "text-[16px] font-medium text-[#0EC06A]"
    };
    Dt = {
        key: 1,
        class: "text-[16px] text-gray-600"
    };
    oa = Be({
        __name: "index",
        props: {
            summaryData: {}
        },
        emits: [
            "refreshSummary"
        ],
        setup (w, { emit: z }) {
            const { t: l } = Z(), I = Ie(), S = Ve(), A = N("crewTableRef"), O = N("guestTableRef"), Q = N("newCrewRef"), H = N("editCrewRef"), E = N("guestDetailRef"), p = U(()=>S.query?.type !== "edit"), h = P({
                crewStandard: 0,
                guestStandard: {
                    breakfast: 0,
                    lunch: 0,
                    dinner: 0
                }
            }), re = U(()=>h.crewStandard <= 0), J = ee(!1), K = ee(!1), oe = U(()=>{
                const { breakfast: e, lunch: a, dinner: c } = h.guestStandard;
                return e <= 0 || a <= 0 || c <= 0;
            }), q = P({
                sumDays: {
                    title: l("victualingDetail.crewGuestDetails.sum"),
                    subDesc: l("victualingDetail.crewGuestDetails.days"),
                    count: 0
                },
                total: {
                    title: l("victualingDetail.crewGuestDetails.ttlSum"),
                    count: 0,
                    supDesc: l("victualingDetail.crewGuestDetails.usd"),
                    noColon: !1
                }
            }), $ = P({
                total: {
                    title: l("victualingDetail.crewGuestDetails.sum"),
                    subDesc: l("victualingDetail.crewGuestDetails.ttlSum"),
                    count: 0,
                    supDesc: l("victualingDetail.crewGuestDetails.usd")
                }
            }), [ce, { submit: ue, setFieldsValue: de }] = se({
                layout: "vertical",
                gridProps: {
                    cols: 1
                },
                schemas: it(),
                showAdvancedButton: !1
            }), [me, { submit: fe, setFieldsValue: pe }] = se({
                gridProps: {
                    cols: 3
                },
                schemas: lt(),
                showAdvancedButton: !1
            });
            function Y(e, a) {
                a === "crew" ? h.crewStandard = e.standard || 0 : a === "guest" && (h.guestStandard = {
                    breakfast: e.breakfast || 0,
                    lunch: e.lunch || 0,
                    dinner: e.dinner || 0
                });
            }
            const we = P({
                width: 140,
                title: l("common.optionsText"),
                key: "action",
                fixed: "right",
                align: "center",
                render (e) {
                    return B(le, {
                        style: "text",
                        actions: [
                            {
                                label: l("common.optionsEditText"),
                                labelShow: !1,
                                ifShow: !p.value && !0,
                                icon: B("i", {
                                    class: "iconfont icon-a-Frame28"
                                }),
                                onClick: ye.bind(null, e)
                            },
                            {
                                label: l("common.delText"),
                                labelShow: !1,
                                ifShow: !p.value && !0,
                                icon: B("i", {
                                    class: "iconfont icon-Delete red"
                                }),
                                onPositiveClick: ke.bind(null, e),
                                isConfirm: !0,
                                confirmContent: l("common.delPop.contRole")
                            }
                        ]
                    });
                }
            }), De = P({
                width: 140,
                title: l("common.optionsText"),
                key: "action",
                fixed: "right",
                align: "center",
                render (e) {
                    return B(le, {
                        style: "text",
                        actions: [
                            {
                                label: l("common.optionsEditText"),
                                labelShow: !1,
                                ifShow: !p.value && !0,
                                icon: B("i", {
                                    class: "iconfont icon-a-Frame28"
                                }),
                                onClick: ve.bind(null, e)
                            },
                            {
                                label: l("common.delText"),
                                labelShow: !1,
                                ifShow: !p.value && !0,
                                icon: B("i", {
                                    class: "iconfont icon-Delete red"
                                }),
                                onPositiveClick: Ce.bind(null, e),
                                isConfirm: !0,
                                confirmContent: l("common.delPop.contRole")
                            }
                        ]
                    });
                }
            });
            async function ge() {
                const e = await ue();
                if (!e) return;
                const { shipId: a, year: c, month: f } = S.query;
                We({
                    ...e,
                    shipId: a,
                    year: c,
                    month: f
                }).then(()=>{
                    I.success(l("common.saveSuccessText")), j("crew"), b("crew");
                });
            }
            async function he() {
                const e = await fe();
                if (!e) return;
                const { shipId: a, year: c, month: f } = S.query;
                Xe({
                    ...e,
                    shipId: a,
                    year: c,
                    month: f
                }).then(()=>{
                    I.success(l("common.saveSuccessText")), j("guest"), b("guest");
                });
            }
            async function _e() {
                const e = await Ze({
                    ...M()
                });
                if (!e || e?.length < 1) {
                    I.warning(l("victualingDetail.newCrewModal.noData"));
                    return;
                }
                Q.value?.handleOpenModal();
            }
            function ye(e) {
                const a = {
                    ...e
                };
                H.value?.handleOpenModal(a);
            }
            function be() {
                E.value?.handleOpenModal();
            }
            function ve(e) {
                const a = {
                    ...e
                };
                E.value?.handleOpenModal({
                    type: "edit",
                    data: a
                });
            }
            function ke({ id: e }) {
                Me(e).then(()=>{
                    I.success(l("common.optionsDelSuccessText")), b("crew"), R("crew");
                });
            }
            function Ce({ id: e }) {
                je(e).then(()=>{
                    I.success(l("common.optionsDelSuccessText")), b("guest"), R("guest");
                });
            }
            function M() {
                const { shipId: e, year: a, month: c, startDate: f, endDate: u } = S.query;
                return {
                    shipId: e,
                    year: a,
                    month: c,
                    startDate: V(f),
                    endDate: V(u)
                };
            }
            async function xe(e, a) {
                try {
                    return R("crew"), await Qe({
                        ...a,
                        ...e
                    });
                } catch  {
                    return {
                        list: [],
                        total: 0
                    };
                }
            }
            async function Ge(e, a) {
                try {
                    return R("guest"), await He({
                        ...a,
                        ...e
                    });
                } catch  {
                    return {
                        list: [],
                        total: 0
                    };
                }
            }
            function b(e) {
                e === "crew" ? A.value?.reload() : (e === "guest" || A.value?.reload(), O.value?.reload());
            }
            function R(e) {
                const { shipId: a, year: c, month: f, startDate: u, endDate: v } = S.query;
                (e === "crew" || !e) && Le({
                    shipId: a,
                    year: c,
                    month: f,
                    startDate: V(u),
                    endDate: V(v)
                }).then((s)=>{
                    Object.keys(s).forEach((D)=>{
                        q.hasOwnProperty(D) && (q[D].count = s?.[D] || 0);
                    });
                }), (e === "guest" || !e) && Ue({
                    shipId: a,
                    year: c,
                    month: f,
                    startDate: V(u),
                    endDate: V(v)
                }).then((s)=>{
                    Object.keys(s).forEach((D)=>{
                        $.hasOwnProperty(D) && ($[D].count = s?.[D] || 0);
                    });
                });
            }
            function j(e) {
                const { shipId: a, year: c, month: f, startDate: u, endDate: v } = S.query;
                (e === "crew" || !e) && Je({
                    shipId: a,
                    year: c,
                    month: f,
                    startDate: u,
                    endDate: v
                }).then((s)=>{
                    J.value = +s?.standard > 0, h.crewStandard = s?.standard ? +s?.standard : 0, de({
                        id: s?.id || null,
                        standard: s?.standard ? +s?.standard : 0
                    });
                }), (e === "guest" || !e) && Ke({
                    shipId: a,
                    year: c,
                    month: f,
                    startDate: u,
                    endDate: v
                }).then((s)=>{
                    K.value = +s?.breakfast > 0 && +s?.lunch > 0 && +s?.dinner > 0, h.guestStandard = {
                        breakfast: s?.breakfast ? +s?.breakfast : 0,
                        lunch: s?.lunch ? +s?.lunch : 0,
                        dinner: s?.dinner ? +s?.dinner : 0
                    }, pe({
                        id: s?.id || null,
                        breakfast: s?.breakfast ? +s?.breakfast : 0,
                        lunch: s?.lunch ? +s?.lunch : 0,
                        dinner: s?.dinner ? +s?.dinner : 0
                    });
                });
            }
            return Ne(()=>{
                j();
            }), (e, a)=>{
                const c = Ae, f = Oe, u = at, v = Fe, s = ze, D = Ee, F = Pe, Se = qe, Re = $e;
                return m(), k(Re, null, {
                    default: i(()=>[
                            r(F, {
                                bordered: !0,
                                class: "proCard"
                            }, {
                                header: i(()=>[
                                        x("div", rt, d(t(l)("victualingDetail.crewGuestDetails.crewDetail")), 1)
                                    ]),
                                default: i(()=>[
                                        r(t(ie), {
                                            ref_key: "crewTableRef",
                                            ref: A,
                                            columns: t(nt)(),
                                            request: (n)=>xe(n, M()),
                                            "row-key": (n)=>n.id,
                                            autoScrollX: !0,
                                            actionColumn: t(p) || t(y) ? void 0 : t(we),
                                            "virtual-scroll": "",
                                            canResize: !1
                                        }, {
                                            tableTitle: i(()=>[
                                                    r(u, {
                                                        align: "flex-end"
                                                    }, {
                                                        default: i(()=>[
                                                                r(t(ne), {
                                                                    onRegister: t(ce),
                                                                    onChange: a[0] || (a[0] = (n)=>Y(n, "crew")),
                                                                    showActionButtonGroup: !1,
                                                                    "show-feedback": !1,
                                                                    disabled: t(p) || t(y)
                                                                }, {
                                                                    standardSlot: i(({ model: n, field: T })=>[
                                                                            r(v, null, {
                                                                                default: i(()=>[
                                                                                        r(u, {
                                                                                            align: "center"
                                                                                        }, {
                                                                                            default: i(()=>[
                                                                                                    r(c, {
                                                                                                        value: n[T],
                                                                                                        "onUpdate:value": (L)=>n[T] = L,
                                                                                                        min: 0,
                                                                                                        step: 1,
                                                                                                        precision: 2,
                                                                                                        size: "small",
                                                                                                        class: "w-[206px]",
                                                                                                        "show-button": "false",
                                                                                                        placeholder: t(l)("victualingDetail.crewGuestDetails.crewVictualStandard")
                                                                                                    }, null, 8, [
                                                                                                        "value",
                                                                                                        "onUpdate:value",
                                                                                                        "placeholder"
                                                                                                    ]),
                                                                                                    r(f, {
                                                                                                        value: n.updateDetailData,
                                                                                                        "onUpdate:value": (L)=>n.updateDetailData = L,
                                                                                                        checkedValue: 1,
                                                                                                        uncheckedValue: 0,
                                                                                                        defaultValue: 1
                                                                                                    }, {
                                                                                                        checked: i(()=>[
                                                                                                                _(d(t(l)("victualingDetail.crewGuestDetails.updateAll")), 1)
                                                                                                            ]),
                                                                                                        unchecked: i(()=>[
                                                                                                                _(d(t(l)("victualingDetail.crewGuestDetails.updateFollowing")), 1)
                                                                                                            ]),
                                                                                                        _: 2
                                                                                                    }, 1032, [
                                                                                                        "value",
                                                                                                        "onUpdate:value"
                                                                                                    ])
                                                                                                ]),
                                                                                            _: 2
                                                                                        }, 1024)
                                                                                    ]),
                                                                                _: 2
                                                                            }, 1024)
                                                                        ]),
                                                                    _: 1
                                                                }, 8, [
                                                                    "onRegister",
                                                                    "disabled"
                                                                ]),
                                                                !t(p) && !t(y) ? (m(), k(D, {
                                                                    key: 0,
                                                                    onPositiveClick: ge
                                                                }, {
                                                                    trigger: i(()=>[
                                                                            r(s, {
                                                                                type: "primary",
                                                                                strong: "",
                                                                                bordered: "",
                                                                                secondary: "",
                                                                                class: "size-7 mb-1",
                                                                                disabled: t(re)
                                                                            }, {
                                                                                icon: i(()=>[
                                                                                        r(t(te))
                                                                                    ]),
                                                                                _: 1
                                                                            }, 8, [
                                                                                "disabled"
                                                                            ])
                                                                        ]),
                                                                    default: i(()=>[
                                                                            _(" " + d(t(l)("victualingDetail.crewGuestDetails.crewSavePopConfirm")), 1)
                                                                        ]),
                                                                    _: 1
                                                                })) : g("", !0)
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            toolbar: i(()=>[
                                                    !t(p) && !t(y) ? (m(), k(u, {
                                                        key: 0
                                                    }, {
                                                        default: i(()=>[
                                                                r(s, {
                                                                    type: "primary",
                                                                    size: "small",
                                                                    onClick: _e,
                                                                    disabled: !t(J)
                                                                }, {
                                                                    default: i(()=>[
                                                                            _(d(t(l)("victualingDetail.crewGuestDetails.importCrew")), 1)
                                                                        ]),
                                                                    _: 1
                                                                }, 8, [
                                                                    "disabled"
                                                                ])
                                                            ]),
                                                        _: 1
                                                    })) : g("", !0)
                                                ]),
                                            _: 1
                                        }, 8, [
                                            "columns",
                                            "request",
                                            "row-key",
                                            "actionColumn"
                                        ]),
                                        r(F, {
                                            bordered: !1,
                                            class: "proCard mt-2"
                                        }, {
                                            default: i(()=>[
                                                    r(u, {
                                                        justify: "flex-end",
                                                        size: 10
                                                    }, {
                                                        default: i(()=>[
                                                                (m(!0), C(W, null, ae(t(q), (n, T)=>(m(), k(u, {
                                                                        align: "center",
                                                                        key: T,
                                                                        class: "text-[16px]",
                                                                        size: 10
                                                                    }, {
                                                                        default: i(()=>[
                                                                                x("span", ot, [
                                                                                    _(d(n.title) + " ", 1),
                                                                                    n.noColon !== !1 ? (m(), C(W, {
                                                                                        key: 0
                                                                                    }, [
                                                                                        _(" : ")
                                                                                    ], 64)) : g("", !0)
                                                                                ]),
                                                                                n.subDesc ? (m(), C("span", ct, d(n.subDesc), 1)) : g("", !0),
                                                                                x("span", ut, d(n.count), 1),
                                                                                n.supDesc ? (m(), C("span", dt, d(n.supDesc), 1)) : g("", !0)
                                                                            ]),
                                                                        _: 2
                                                                    }, 1024))), 128))
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                _: 1
                            }),
                            r(F, {
                                bordered: !0,
                                class: "proCard mt-4"
                            }, {
                                header: i(()=>[
                                        x("div", mt, d(t(l)("victualingDetail.crewGuestDetails.guestDetail")), 1)
                                    ]),
                                default: i(()=>[
                                        r(t(ie), {
                                            ref_key: "guestTableRef",
                                            ref: O,
                                            columns: t(st)(),
                                            request: (n)=>Ge(n, M()),
                                            "row-key": (n)=>n.id,
                                            autoScrollX: !0,
                                            actionColumn: t(p) || t(y) ? void 0 : t(De),
                                            "virtual-scroll": "",
                                            canResize: !1
                                        }, {
                                            tableTitle: i(()=>[
                                                    r(u, {
                                                        align: "flex-end"
                                                    }, {
                                                        default: i(()=>[
                                                                r(t(ne), {
                                                                    onRegister: t(me),
                                                                    onChange: a[1] || (a[1] = (n)=>Y(n, "guest")),
                                                                    showActionButtonGroup: !1,
                                                                    "show-feedback": !1,
                                                                    disabled: t(p) || t(y)
                                                                }, null, 8, [
                                                                    "onRegister",
                                                                    "disabled"
                                                                ]),
                                                                !t(p) && !t(y) ? (m(), k(D, {
                                                                    key: 0,
                                                                    onPositiveClick: he
                                                                }, {
                                                                    trigger: i(()=>[
                                                                            r(s, {
                                                                                type: "primary",
                                                                                strong: "",
                                                                                bordered: "",
                                                                                secondary: "",
                                                                                class: "size-7 mb-1",
                                                                                disabled: t(oe)
                                                                            }, {
                                                                                icon: i(()=>[
                                                                                        r(t(te))
                                                                                    ]),
                                                                                _: 1
                                                                            }, 8, [
                                                                                "disabled"
                                                                            ])
                                                                        ]),
                                                                    default: i(()=>[
                                                                            _(" " + d(t(l)("victualingDetail.crewGuestDetails.guestSavePopConfirm")), 1)
                                                                        ]),
                                                                    _: 1
                                                                })) : g("", !0)
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            toolbar: i(()=>[
                                                    !t(p) && !t(y) ? (m(), k(u, {
                                                        key: 0
                                                    }, {
                                                        default: i(()=>[
                                                                r(Se, {
                                                                    trigger: "hover"
                                                                }, {
                                                                    trigger: i(()=>[
                                                                            r(s, {
                                                                                type: "primary",
                                                                                strong: "",
                                                                                bordered: "",
                                                                                secondary: "",
                                                                                class: "size-7",
                                                                                disabled: !t(K),
                                                                                onClick: be
                                                                            }, {
                                                                                icon: i(()=>a[6] || (a[6] = [
                                                                                        x("i", {
                                                                                            class: "iconfont icon-ADD"
                                                                                        }, null, -1)
                                                                                    ])),
                                                                                _: 1
                                                                            }, 8, [
                                                                                "disabled"
                                                                            ])
                                                                        ]),
                                                                    default: i(()=>[
                                                                            _(" " + d(t(l)("victualingDetail.addBtn")), 1)
                                                                        ]),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        _: 1
                                                    })) : g("", !0)
                                                ]),
                                            _: 1
                                        }, 8, [
                                            "columns",
                                            "request",
                                            "row-key",
                                            "actionColumn"
                                        ]),
                                        r(F, {
                                            bordered: !1,
                                            class: "proCard mt-2"
                                        }, {
                                            default: i(()=>[
                                                    r(u, {
                                                        justify: "flex-end",
                                                        size: 50
                                                    }, {
                                                        default: i(()=>[
                                                                (m(!0), C(W, null, ae(t($), (n, T)=>(m(), k(u, {
                                                                        align: "center",
                                                                        key: T,
                                                                        class: "text-[16px]",
                                                                        size: 10
                                                                    }, {
                                                                        default: i(()=>[
                                                                                x("span", ft, d(n.title) + ": ", 1),
                                                                                n.subDesc ? (m(), C("span", pt, d(n.subDesc), 1)) : g("", !0),
                                                                                x("span", wt, d(n.count), 1),
                                                                                n.supDesc ? (m(), C("span", Dt, d(n.supDesc), 1)) : g("", !0)
                                                                            ]),
                                                                        _: 2
                                                                    }, 1024))), 128))
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        })
                                    ]),
                                _: 1
                            }),
                            r(Ye, {
                                ref_key: "newCrewRef",
                                ref: Q,
                                onRefresh: b
                            }, null, 512),
                            r(et, {
                                ref_key: "editCrewRef",
                                ref: H,
                                onRefresh: a[2] || (a[2] = (n)=>b("crew")),
                                onRefreshSummary: a[3] || (a[3] = (n)=>R("crew")),
                                standardInfo: t(h)
                            }, null, 8, [
                                "standardInfo"
                            ]),
                            r(tt, {
                                ref_key: "guestDetailRef",
                                ref: E,
                                onRefresh: a[4] || (a[4] = (n)=>b("guest")),
                                onRefreshSummary: a[5] || (a[5] = (n)=>R("guest")),
                                standardInfo: t(h)
                            }, null, 8, [
                                "standardInfo"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { oa as default, __tla };
